<?php

namespace LunetteBundle\Repository;

use LunetteBundle\Entity\marque;

/**
 * lunetteRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class lunetteRepository extends \Doctrine\ORM\EntityRepository
{
    public function findMulti($find)
    {
        $q=$this->createQueryBuilder('m')
            ->where('m.nom LIKE :find')->orWhere('m.type LIKE :find')->orWhere('m.prix LIKE :find')->orWhere('m.description LIKE :find')
            ->setParameter(':find',"%$find%");
        return $q->getQuery()->getResult();
    }
    public function findQuestionParameter($critere)
    {
        $query=$this->getEntityManager()
            ->createQuery("select q.id ,q.nom,q.description,q.prix,q.type,q.image from LunetteBundle:lunette q left join LunetteBundle:Marque r where r.nom=:critere ")
            ->setParameter(':critere',"$critere");
        return $query->getResult();
    }
    public function aaa($critere)
    {/*
        $q=$this->createQueryBuilder('q')->leftJoin(marque::class)->where()*/
    }
}
